"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importStar(require("express"));
require("express-async-errors");
const cookie_parser_1 = __importDefault(require("cookie-parser"));
const morgan_1 = __importDefault(require("morgan"));
require("./utils/db");
const cors_config_1 = require("./config/cors-config");
const cors_1 = __importDefault(require("cors"));
const habits_routes_1 = require("./routes/habits-routes");
const handleError_1 = require("./utils/handleError");
const users_routes_1 = require("./routes/users-routes");
const sessions_routes_1 = require("./routes/sessions-routes");
const credentials_1 = require("./middleware/credentials");
const verifyAccessToken_1 = require("./middleware/verifyAccessToken");
const rateLimiter_1 = require("./middleware/rateLimiter");
const app = (0, express_1.default)();
const apiRouter = (0, express_1.Router)();
app.use(credentials_1.credentials);
app.use((0, cors_1.default)(cors_config_1.corsConfig));
app.use(express_1.default.json());
app.use((0, cookie_parser_1.default)());
app.use(rateLimiter_1.rateLimiter);
app.use((0, morgan_1.default)('dev'));
app.use('/api', apiRouter);
apiRouter.use('/users', users_routes_1.usersRouter);
apiRouter.use('/sessions', sessions_routes_1.sessionsRouter);
apiRouter.use('/habits', verifyAccessToken_1.verifyAccessToken, habits_routes_1.habitsRouter);
app.use(handleError_1.handleError);
app.listen(3001, '0.0.0.0', () => {
    console.log('Server is listening on http://localhost:3001');
});
//# sourceMappingURL=index.js.map