"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.verifyAccessToken = void 0;
const jsonwebtoken_1 = require("jsonwebtoken");
const config_1 = require("../config/config");
const verifyAccessToken = (req, res, next) => {
    try {
        const authHeader = req.headers['authorization'];
        if (!authHeader)
            return res.sendStatus(401);
        const accessToken = authHeader.split(' ')[1];
        const { id } = (0, jsonwebtoken_1.verify)(accessToken, config_1.config.ACCESS_TOKEN_SECRET);
        req.userId = id;
        next();
    }
    catch (e) {
        res.sendStatus(403);
    }
};
exports.verifyAccessToken = verifyAccessToken;
//# sourceMappingURL=verifyAccessToken.js.map