"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendMail = void 0;
const nodemailer_1 = require("nodemailer");
const config_1 = require("../../config/config");
const mailConfig = config_1.config.NODE_ENV === 'develop' ? {
    host: '127.0.0.1',
    port: 2500,
    secure: false,
    auth: {
        user: 'username',
        pass: 'password',
    },
} : {
    host: 'mail.habit-tracker-test.networkmanager.pl',
    port: 587,
    tls: {
        rejectUnauthorized: false
    },
    auth: {
        user: config_1.config.MAIL_USER,
        pass: config_1.config.MAIL_PASS,
    },
};
const transporter = (0, nodemailer_1.createTransport)(mailConfig, {
    from: 'server@habit-tracker-test.networkmanager.pl',
});
const sendMail = (to, subject, html) => __awaiter(void 0, void 0, void 0, function* () {
    return yield transporter.sendMail({ to, subject, html });
});
exports.sendMail = sendMail;
//# sourceMappingURL=nodemailer.js.map